summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorMiguel Jacq <mig@mig5.net>2020-05-31 20:26:07 +1000
committerMiguel Jacq <mig@mig5.net>2020-05-31 20:26:07 +1000
commit5b782426063387c87d1fe5d7a7e55f108d8f24e1 (patch)
treed5e3d9621acd9e29fac8e2e0fe0630e406e05e67 /tests
parent1c424500f0b0e1e2bb7b17ce144cce16e20e5493 (diff)
downloadonionshare-5b782426063387c87d1fe5d7a7e55f108d8f24e1.tar.gz
onionshare-5b782426063387c87d1fe5d7a7e55f108d8f24e1.zip
Fail early if any of the tests fail, rather than continue and possibly exit 0
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 3c792cd3..184dfc16 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -20,7 +20,7 @@ do
shift
done
-pytest $PARAMS -vvv ./tests/test_cli*.py
+pytest $PARAMS -vvv ./tests/test_cli*.py || exit 1
for filename in ./tests/test_gui_*.py; do
- pytest $PARAMS -vvv --no-qt-log $filename
+ pytest $PARAMS -vvv --no-qt-log $filename || exit 1
done